Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.concurrent
Class RetryingScheduledThreadPoolExecutor

    java.lang.Object
      java.util.concurrent.AbstractExecutorService
          java.util.concurrent.ThreadPoolExecutor
              java.util.concurrent.ScheduledThreadPoolExecutor
                  org.apache.cassandra.concurrent.RetryingScheduledThreadPoolExecutor

All Implemented Interfaces:
  java.util.concurrent.Executor, java.util.concurrent.ExecutorService, java.util.concurrent.ScheduledExecutorService

    public class RetryingScheduledThreadPoolExecutor

extends java.util.concurrent.ScheduledThreadPoolExecutor

Nested Class Summary

Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor
`java.util.concurrent.ThreadPoolExecutor.AbortPolicy, java.util.concurrent.ThreadPoolExecutor.CallerRunsPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardOldestPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardPolicy`

Field Summary
`protected static org.apache.log4j.Logger` | `logger`

Constructor Summary
`RetryingScheduledThreadPoolExecutor(int corePoolSize, java.lang.String threadPoolName, int priority)`
`RetryingScheduledThreadPoolExecutor(java.lang.String threadPoolName)`
`RetryingScheduledThreadPoolExecutor(java.lang.String threadPoolName, int priority)`

Method Summary
`protected
`<V> java.util.concurrent.RunnableScheduledFuture<V>`
` | `decorateTask(java.lang.Runnable runnable, java.util.concurrent.RunnableScheduledFuture<V> task)`

Methods inherited from class java.util.concurrent.ScheduledThreadPoolExecutor
`decorateTask, execute, getContinueExistingPeriodicTasksAfterShutdownPolicy, getExecuteExistingDelayedTasksAfterShutdownPolicy, getQueue, schedule, schedule, scheduleAtFixedRate, scheduleWithFixedDelay, setContinueExistingPeriodicTasksAfterShutdownPolicy, setExecuteExistingDelayedTasksAfterShutdownPolicy, shutdown, shutdownNow, submit, submit, submit`

Methods inherited from class java.util.concurrent.ThreadPoolExecutor
`afterExecute, allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, terminated`

Methods inherited from class java.util.concurrent.AbstractExecutorService
`invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.concurrent.ExecutorService
`awaitTermination, invokeAll, invokeAll, invokeAny, invokeAny, isShutdown, isTerminated`

Field Detail

### logger

    protected static org.apache.log4j.Logger logger

Constructor Detail

### RetryingScheduledThreadPoolExecutor

    public RetryingScheduledThreadPoolExecutor(java.lang.String threadPoolName,
                                               int priority)

### RetryingScheduledThreadPoolExecutor

    public RetryingScheduledThreadPoolExecutor(int corePoolSize,
                                               java.lang.String threadPoolName,
                                               int priority)

### RetryingScheduledThreadPoolExecutor

    public RetryingScheduledThreadPoolExecutor(java.lang.String threadPoolName)

Method Detail

### decorateTask

    protected <V> java.util.concurrent.RunnableScheduledFuture<V> decorateTask(java.lang.Runnable runnable,
                                                                               java.util.concurrent.RunnableScheduledFuture<V> task)

  Overrides:
    `decorateTask` in class `java.util.concurrent.ScheduledThreadPoolExecutor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation